Bug 18028 - install_misc directory is outdated and must be removed
Summary: install_misc directory is outdated and must be removed
Status: Pushed to Stable
Alias: None
Product: Koha
Classification: Unclassified
Component: Architecture, internals, and plumbing (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low normal (vote)
Assignee: Jonathan Druart
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on: 8840
Blocks: 18373
  Show dependency treegraph
 
Reported: 2017-02-01 11:37 UTC by Jonathan Druart
Modified: 2017-05-03 03:44 UTC (History)
5 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 18028: Remove outdated install_misc directory (31.08 KB, patch)
2017-02-01 11:44 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 18028: Remove outdated install_misc directory (31.22 KB, patch)
2017-02-01 19:51 UTC, M. Tompsett
Details | Diff | Splinter Review
Bug 18028: Remove outdated install_misc directory (31.32 KB, patch)
2017-03-10 09:21 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2017-02-01 11:37:45 UTC
It seems that the install_dir/*.packages files are no longer maintained and not really useful.
I would suggest to remove them.
Comment 1 Jonathan Druart 2017-02-01 11:44:59 UTC
Created attachment 59730 [details] [review]
Bug 18028: Remove outdated install_misc directory

This directory is no longer maintained and contain outdated information
on how to install Koha.
On the Internet there are tutos using them and that can create confusion
to new user (yes it could be confusing as well to execute a file that
does no longer exist).
Comment 2 M. Tompsett 2017-02-01 19:51:52 UTC
Created attachment 59751 [details] [review]
Bug 18028: Remove outdated install_misc directory

This directory is no longer maintained and contain outdated information
on how to install Koha.
On the Internet there are tutos using them and that can create confusion
to new user (yes it could be confusing as well to execute a file that
does no longer exist).

NOTE: last tweak was mid 2016, but before that 2015. So I agree with
      the deletion.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>
Comment 3 Marcel de Rooy 2017-03-10 09:21:30 UTC
Created attachment 60978 [details] [review]
Bug 18028: Remove outdated install_misc directory

This directory is no longer maintained and contain outdated information
on how to install Koha.
On the Internet there are tutos using them and that can create confusion
to new user (yes it could be confusing as well to execute a file that
does no longer exist).

NOTE: last tweak was mid 2016, but before that 2015. So I agree with
      the deletion.

Signed-off-by: Mark Tompsett <mtompset@hotmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Marcel de Rooy 2017-03-10 09:22:02 UTC
Always in for patches that reduce the number of lines :)
Comment 5 Brendan Gallagher 2017-03-23 15:36:50 UTC
Pushed to Master - Should be in the 17.05 release.  Thanks!
Comment 6 Katrin Fischer 2017-03-26 21:00:22 UTC
This patch has been pushed to 16.11.x and will be in 16.11.06.
Comment 7 Colin Campbell 2017-04-03 15:04:08 UTC
make upgrade falls over unless you revert this patch there still a make_upgrade_backup target in the generated makefile
Comment 8 Jonathan Druart 2017-04-03 15:48:54 UTC
(In reply to Colin Campbell from comment #7)
> make upgrade falls over unless you revert this patch there still a
> make_upgrade_backup target in the generated makefile

I will try & fix it on bug 18373.h
Thanks for reporting!
Comment 9 Mason James 2017-05-03 03:44:54 UTC
Pushed to 16.05.x, for 16.05.12 release